Bug 485635 - Firefox 3.x needs sqlite fts3 module for some extensions to work
Firefox 3.x needs sqlite fts3 module for some extensions to work
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: sqlite (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-15 13:11 EST by Chris Nolan
Modified: 2009-10-31 06:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-31 06:46:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Nolan 2009-02-15 13:11:52 EST
Description of problem:

Firefox needs the sqlite fts3 module in order for some extensions to work. The mozilla build of firefox includes this sqlite module but the fedora build of sqlite does not.

Version-Release number of selected component (if applicable):

sqlite-3.5.9-3.fc10.x86_64
firefox-3.0.6-1.fc10.x86_64

How reproducible:

Always.

Steps to Reproduce:

1. Install Firefox 3.0.x
2. Install addon "Brief" (for example) https://addons.mozilla.org/en-US/firefox/addon/4578
3. Start firefox and try adding feeds to "Brief".
  
Actual results:

Feeds can be added, but only 1 story is fetched from each feed with each "refresh". Feeds show no content - i.e. feeds don't show in the main window when selected. Firefox error console shows a load of sql errors.

Expected results:

All RSS feed stories should be fetched with each "refresh" of Brief. When a feed is selected the stories for that feed should be displayed in the main window. There shouldn't be any sql errors in the error console! 

Additional info:

Fix is trivial. Just add "-DSQLITE_ENABLE_FTS3=1" to CFLAGS. For example, change sqlite.spec to read:

export CFLAGS="$RPM_OPT_FLAGS -DSQLITE_ENABLE_FTS3=1 -DSQLITE_ENABLE_COLUMN_METADATA=1 -DSQLITE_DISABLE_DIRSYNC=1 -Wall"

Rebuild RPM, install it, remove brief.sqlite and restart Firefox. Problem fixed.

See also: 

http://bugs.archlinux.org/task/10968
http://brief.mozdev.org/drupal/node/233
http://brief.mozdev.org/drupal/node/207
http://brief.mozdev.org/drupal/node/317
Comment 1 Chris Nolan 2009-02-19 13:27:19 EST
New sqlite pushed to F-10 updates (sqlite-3.5.9-4.fc10) doesn't appear to address this issue. It's a trivial fix and would be most welcomed here.
Comment 2 TK009 2009-10-30 15:21:39 EDT
I can not reproduce this problem in F11.

@Chris

Are you still able to reproduce the error? Can you try it in F11 or rawhide if you're still seeing it in F10?
Comment 3 Chris Nolan 2009-10-31 06:29:05 EDT
Hi John

The particular addon I was trying to get working ("Brief") works fine now in F11 and Firefox 3.5.3. It's hard to say whether the addon was altered or whether this bug has been addressed in the current builds of Firefox. Whichever, it appears this is no longer an issue for me.

Thanks
Chris
Comment 4 TK009 2009-10-31 06:46:35 EDT
@Chris

I was using brief about a month back with no issues, tried it again yesterday, no problems.

I am going assume this issue is resolved and close this report. If this is incorrect or you see the problem again please re-open this report and change the version. Thank you for the quick response.

report set to CLOSED - WORKSFORME | tested in F11.

TK009
---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.